### File

`packages/eui-ecl/packages/core/src/lib/model/ecl-menu-item.model.ts`

### Index

###### Properties

- Optional children
- Optional hasChildren
- Optional id
- Optional isCurrent
- Optional isExpanded
- Optional isFocused
- Optional isHovered
- label

### Properties

children
`children: `Array<EclMenuItem>``
Type : `Array<EclMenuItem>`
Optional

hasChildren
`hasChildren: `boolean``
Type : `boolean`
Optional

id
`id: `string``
Type : `string`
Optional

isCurrent
`isCurrent: `boolean``
Type : `boolean`
Optional

isExpanded
`isExpanded: `boolean``
Type : `boolean`
Optional

isFocused
The property should not be used
`isFocused: `boolean``
Type : `boolean`
Optional

isHovered
`isHovered: `boolean``
Type : `boolean`
Optional

label
`label: `string``
Type : `string`

# results matching ""

# No results matching ""